#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	colord
Version		:	1.4.7
Release		:	17.2.0.rel%{?dist}
Summary		:	Color daemon

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://www.freedesktop.org/software/colord/releases/

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-upstream_fixes-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	dbus-devel
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	lcms2
BuildRequires	:	libgusb-devel
BuildRequires	:	libgudev
BuildRequires	:	meson, ninja
BuildRequires	:	polkit-devel
BuildRequires	:	sqlite
BuildRequires	:	vala
BuildRequires	:	valgrind-devel

Requires	:	/usr/sbin/useradd, /usr/sbin/userdel
Requires	:	/usr/sbin/groupadd, /usr/sbin/groupdel
Requires	:	lfs-bootscripts
#-----------------------------------------------------------------------------
%description
colord is a low level system activated daemon that
maps color devices to color profiles in the system
context.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
#%doc COPYING NEWS README.rst
%{_bindir}/cd-*
%{_bindir}/colormgr
%{_libexecdir}/%{name}
%{_libexecdir}/%{name}-session
%attr(755,%{name},%{name}) %dir %{_libdir}/%{name}
%attr(755,%{name},%{name}) %dir %{_libdir}/%{name}/icc
%{_libdir}/udev/rules.d/*.rules
%{_libdir}/%{name}-plugins/lib%{name}_*.so
%{_libdir}/%{name}-sensors/lib%{name}_*.so
%{_libdir}/lib%{name}*.so.2*
%{_libdir}/libcolorhug.so.2*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/color/icc/%{name}/*.icc
%{_datadir}/%{name}/icons/*.svg
%{_datadir}/%{name}/illuminant/*.sp
%{_datadir}/%{name}/cmf/*.cmf
%{_datadir}/%{name}/ref/CIE-*
%{_datadir}/%{name}/ti1/*.ti1
%{_datadir}/dbus-1/interfaces/org.freedesktop.*.xml
%{_datadir}/dbus-1/services/org.freedesktop.*.service
%{_datadir}/dbus-1/system-services/org.freedesktop.*.service
%{_datadir}/dbus-1/system.d/org.freedesktop.*.conf
%{_datadir}/glib-2.0/schemas/org.freedesktop.*.xml
%{_datadir}/polkit-1/actions/org.freedesktop.*.policy

#-----------------------------------------------------------------------------
%pre 
getent group %{name} >/dev/null || 		\
/usr/sbin/groupadd				\
	-K GID_MIN=50				\
	-K GID_MAX=99				\
	 %{name}

getent passwd %{name} >/dev/null ||		\
/usr/sbin/useradd 				\
	-r					\
	-c "Color Daemon Owner"			\
	-K SYS_UID_MIN=50			\
	-K SYS_UID_MAX=99			\
	-g %{name}				\
	-s /sbin/nologin			\
	-d %{_libdir}/%{name}			\
	%{name}

%preun 
if [ "$1" = 0 ]; then
  /usr/sbin/userdel %{name}
  /usr/sbin/groupdel %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

#=============================================================================
%package		devel
Summary		:	Development package for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Files for development with %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1/*.h
%{_includedir}/%{name}-1/%{name}/*.h
%{_includedir}/%{name}-1/%{name}-session/*.h
%{_includedir}/%{name}-1/colorhug/*.h
%{_libdir}/lib%{name}*.so
%{_libdir}/libcolorhug.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/colorhug.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/colord.vapi
%{_datadir}/vala/vapi/colord.deps
 
#=============================================================================
%package		tests
Summary		:	Data files for installed tests

#-----------------------------------------------------------------------------
%description		tests
Data files for installed tests.

#-----------------------------------------------------------------------------
%files			tests
%defattr(-,root,root,-)
%{_libexecdir}/installed-tests/%{name}/
%{_datadir}/installed-tests/%{name}/%{name}-*.test

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D argyllcms_sensor=false			\
	-D bash_completion=false			\
	-D daemon_user=%{name}				\
	-D docs=false					\
	-D installed_tests=true				\
	-D libcolordcompat=true				\
	-D man=false					\
	-D sane=false					\
	-D systemd=false				\
	-D vapi=true					\
	_bld

meson	compile						\
		-C _bld					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#meson	test						\
#		-C _bld					\
#		--print-errorlogs


#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson install						\
		-C _bld					\
		--destdir %{buildroot}


%{__mkdir_p}						\
	%{buildroot}%{_libdir}/%{name}/icc

%find_lang %{name}

#-----------------------------------------------------------------------------
%changelog
